Bug 1471833 - [RFE] Allow passing extra ansible opts to oVirt Metrics shell script
[RFE] Allow passing extra ansible opts to oVirt Metrics shell script
Product: ovirt-engine-metrics
Classification: oVirt
Component: RFEs (Show other bugs)
Unspecified Unspecified
low Severity medium
: ovirt-4.2.0
: ---
Assigned To: Shirly Radco
Lukas Svaty
: FutureFeature
Depends On:
Blocks: 1475135 oVirt-Metrics-and-Logs 1502931 1513015
  Show dependency treegraph
Reported: 2017-07-17 10:11 EDT by Shirly Radco
Modified: 2017-12-24 05:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
The configure_ovirt_machines_for_metrics script is able to pass optional Ansible parameters to the ansible-playbook, for greater flexibility.
Story Points: ---
Clone Of:
: 1502931 (view as bug list)
Last Closed: 2017-12-20 05:55:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Metrics
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+
gklein: testing_plan_complete+
ylavi: planning_ack+
sradco: devel_ack+
lsvaty: testing_ack+

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 80565 master MERGED Allow passing extra opts to ansible 2017-08-13 08:10 EDT
oVirt gerrit 82133 master ABANDONED Allow passing extra opts to configure_ovirt_hosts_for_metrics.sh 2017-09-25 05:22 EDT
oVirt gerrit 82155 master MERGED remove configure_ovirt_hosts_for_metrics.sh 2017-09-26 01:40 EDT

  None (edit)
Description Shirly Radco 2017-07-17 10:11:18 EDT
Description of problem:
Today we run the configure_ovirt_machines_for_metrics.sh script that does a few tasks and then runs the ansible playbook with defined parameters.

We would like to embed the shell tasks in the ansible playbook and run the playbook directly.
Comment 1 Shirly Radco 2017-08-13 08:09:13 EDT
We added an option to pass native ansible parameters.
This will allow more flexibility when running the script.

Test should verify that extra ansible parameters, like -v, are passed as expected.
Comment 2 Lukas Svaty 2017-09-21 11:59:16 EDT
not working for playbook for hosts:

/usr/share/ovirt-engine-metrics/setup/ansible/configure_ovirt_hosts_for_metrics.sh -vvv

=> no verbose output

tested in ovirt-engine-metrics-1.1.1-0.0.master.20170919065728.el7.centos.noarch
Comment 3 Shirly Radco 2017-09-24 08:42:46 EDT
This should work for Please run:
/usr/share/ovirt-engine-metrics/setup/ansible/configure_ovirt_machine_for_metrics.sh -vvv
Comment 4 Lukas Svaty 2017-09-25 04:19:48 EDT
(In reply to Shirly Radco from comment #3)
> This should work for Please run:
> /usr/share/ovirt-engine-metrics/setup/ansible/
> configure_ovirt_machine_for_metrics.sh -vvv

The patch is still on POST. Please note comment#2 where it was verified for configure_ovirt_machine_for_metrics.sh however failing for configure_ovirt_hosts_for_metrics.sh that is fixed in Didis patch. 

Please do not move bugs to ON_QA before patches are merged or QA has proper builds.
Comment 5 Shirly Radco 2017-09-25 05:19:53 EDT
Since /usr/share/ovirt-engine-metrics/setup/ansible/configure_ovirt_hosts_for_metrics.sh only add --scope=hosts, I'll remove this script so we will only have one ansible script to configure oVirt metrics.
Comment 6 Lukas Svaty 2017-10-04 11:23:53 EDT
verified in ovirt-engine-metrics-1.1.1-0.0.master.20171001113530.el7.centos.noarch
Comment 7 Sandro Bonazzola 2017-12-20 05:55:46 EST
This bugzilla is included in oVirt 4.2.0 release, published on Dec 20th 2017.

Since the problem described in this bug report should be
resolved in oVirt 4.2.0 release, published on Dec 20th 2017, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.

Note You need to log in before you can comment on or make changes to this bug.